import type { UmbUserDetailModel } from '../../types.js';
import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbCollectionMenuItemContext } from '../../../../core/collection/index.js';
export declare class UmbUserCollectionMenuItemElement extends UmbLitElement {
    #private;
    set item(newVal: UmbUserDetailModel);
    get item(): UmbUserDetailModel | undefined;
    protected _item?: UmbUserDetailModel;
    set api(value: UmbCollectionMenuItemContext | undefined);
    get api(): UmbCollectionMenuItemContext | undefined;
    protected _isActive: boolean;
    protected _isSelected: boolean;
    protected _isSelectable: boolean;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbUserCollectionMenuItemElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-user-collection-menu-item': UmbUserCollectionMenuItemElement;
    }
}
